summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-07 01:52:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-07 01:52:55 +0000
commite0f0cfbd0b5786b9576a76b717018b5bdcafbde8 (patch)
tree2f3a28d6cbf0e0a6cd119e07bda0297b1ccb647d /dev-python
parent1b9c706bdbbcaa877c2d7ba7d7a984beda2c5163 (diff)
downloadbaldeagleos-repo-e0f0cfbd0b5786b9576a76b717018b5bdcafbde8.tar.gz
baldeagleos-repo-e0f0cfbd0b5786b9576a76b717018b5bdcafbde8.tar.xz
baldeagleos-repo-e0f0cfbd0b5786b9576a76b717018b5bdcafbde8.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/BitVector/BitVector-3.4.9-r1.ebuild2
-rw-r--r--dev-python/BitVector/BitVector-3.4.9.ebuild21
-rw-r--r--dev-python/alembic/Manifest2
-rw-r--r--dev-python/alembic/alembic-1.5.5.ebuild33
-rw-r--r--dev-python/alembic/alembic-1.5.6.ebuild33
-rw-r--r--dev-python/alembic/alembic-1.5.7.ebuild2
-rw-r--r--dev-python/aniso8601/Manifest1
-rw-r--r--dev-python/aniso8601/aniso8601-9.0.0.ebuild19
-rw-r--r--dev-python/aniso8601/aniso8601-9.0.1.ebuild2
-rw-r--r--dev-python/asgiref/Manifest1
-rw-r--r--dev-python/asgiref/asgiref-3.3.4.ebuild27
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.46.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.46.ebuild59
-rw-r--r--dev-python/brotlicffi/Manifest1
-rw-r--r--dev-python/brotlicffi/brotlicffi-1.0.9.2.ebuild59
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.48.2.ebuild52
-rw-r--r--dev-python/coverage/coverage-5.5.ebuild2
-rw-r--r--dev-python/cython/cython-0.29.22.ebuild2
-rw-r--r--dev-python/django-auth-ldap/Manifest1
-rw-r--r--dev-python/django-auth-ldap/django-auth-ldap-2.4.0.ebuild38
-rw-r--r--dev-python/django/Manifest8
-rw-r--r--dev-python/django/django-2.2.20.ebuild93
-rw-r--r--dev-python/django/django-3.0.14-r1.ebuild106
-rw-r--r--dev-python/django/django-3.1.8-r1.ebuild99
-rw-r--r--dev-python/django/django-3.2.ebuild95
-rw-r--r--dev-python/docker-py/Manifest1
-rw-r--r--dev-python/docker-py/docker-py-5.0.0.ebuild44
-rw-r--r--dev-python/google-auth-httplib2/Manifest1
-rw-r--r--dev-python/google-auth-httplib2/google-auth-httplib2-0.0.4.ebuild39
-rw-r--r--dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0.ebuild2
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-1.27.0.ebuild59
-rw-r--r--dev-python/google-auth/google-auth-1.27.1.ebuild2
-rw-r--r--dev-python/hcloud-python/Manifest1
-rw-r--r--dev-python/hcloud-python/hcloud-python-1.12.0.ebuild41
-rw-r--r--dev-python/hcloud-python/metadata.xml4
-rw-r--r--dev-python/ijson/Manifest1
-rw-r--r--dev-python/ijson/ijson-3.1.3.ebuild25
-rw-r--r--dev-python/ijson/ijson-3.1.4.ebuild2
-rw-r--r--dev-python/ipdb/Manifest3
-rw-r--r--dev-python/ipdb/ipdb-0.10.3-r1.ebuild27
-rw-r--r--dev-python/ipdb/ipdb-0.13.5.ebuild25
-rw-r--r--dev-python/ipdb/ipdb-0.13.6.ebuild25
-rw-r--r--dev-python/ipdb/ipdb-0.13.7.ebuild2
-rw-r--r--dev-python/ipython/ipython-7.21.0-r1.ebuild (renamed from dev-python/ipython/ipython-7.21.0.ebuild)21
-rw-r--r--dev-python/ipython/ipython-7.22.0-r1.ebuild (renamed from dev-python/ipython/ipython-7.22.0.ebuild)21
-rw-r--r--dev-python/matterhook/matterhook-0.2-r1.ebuild2
-rw-r--r--dev-python/matterhook/matterhook-0.2.ebuild22
-rw-r--r--dev-python/micawber/Manifest1
-rw-r--r--dev-python/micawber/micawber-0.5.2.ebuild28
-rw-r--r--dev-python/micawber/micawber-0.5.3.ebuild2
-rw-r--r--dev-python/miniupnpc/miniupnpc-2.2.2.ebuild2
-rw-r--r--dev-python/python-language-server/files/pyls-fix-test_folding.patch38
-rw-r--r--dev-python/python-language-server/files/pyls-jedi-18.patch68
-rw-r--r--dev-python/python-language-server/files/pyls-numpy-1.20.patch63
-rw-r--r--dev-python/python-language-server/python-language-server-0.36.2-r1.ebuild77
-rw-r--r--dev-python/python-nbxmpp/python-nbxmpp-2.0.2-r1.ebuild2
-rw-r--r--dev-python/scrapy/Manifest2
-rw-r--r--dev-python/scrapy/scrapy-2.5.0.ebuild (renamed from dev-python/scrapy/scrapy-2.4.0.ebuild)1
-rw-r--r--dev-python/sentry-sdk/Manifest1
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.20.3.ebuild67
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild2
-rw-r--r--dev-python/towncrier/towncrier-21.3.0.ebuild1
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.6.0.ebuild32
68 files changed, 1102 insertions, 474 deletions
diff --git a/dev-python/BitVector/BitVector-3.4.9-r1.ebuild b/dev-python/BitVector/BitVector-3.4.9-r1.ebuild
index 479bef3df0fe..4a6b38753bfd 100644
--- a/dev-python/BitVector/BitVector-3.4.9-r1.ebuild
+++ b/dev-python/BitVector/BitVector-3.4.9-r1.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://engineering.purdue.edu/kak/dist/ https://pypi.org/project/BitV
SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/BitVector/BitVector-3.4.9.ebuild b/dev-python/BitVector/BitVector-3.4.9.ebuild
deleted file mode 100644
index f6eee5384a00..000000000000
--- a/dev-python/BitVector/BitVector-3.4.9.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="A pure-Python memory-efficient packed representation for bit arrays"
-HOMEPAGE="https://engineering.purdue.edu/kak/dist/ https://pypi.org/project/BitVector/"
-SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
-LICENSE="PSF-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND=""
-
-python_test() {
- "${PYTHON}" TestBitVector/Test.py || die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index 546a50a6c9d8..1ed7ab984870 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,4 +1,2 @@
-DIST alembic-1.5.5.tar.gz 1150308 BLAKE2B 33db8a0ea00802b37d3e24ca43232a993bfc333e232fa08b8dd0560dfec5f18f4fa82bcc3c34a776c88c8fc8d3645c4501a9dde8e4e5411bc255eb654183d01a SHA512 a4078c66bbe1627620224f965b879c46453bc74e6a2a902619df28912f55b27f086cba68f08bc8c0a37bd221ac16e195f7f905379fd5d191854adb7f90f86530
-DIST alembic-1.5.6.tar.gz 1153606 BLAKE2B ef790285975101f5f17a629c812ef56053dcd2878a02a54d6c79aebd9b97e1d253dc63e98e99eb10eeee74ab85ac0f0483c7e0d993920f120373dd40d6dfc2c6 SHA512 95b57dd920fb36e36b7c249d369b1835492f8e4b74086d39f1100590c827b76b49a1aede1d484cfb1f600662bfb99d38ddead468ec8ffb92e8110d8c3523e23d
DIST alembic-1.5.7.tar.gz 1154141 BLAKE2B 9932889b31d6afb49c91b3b5681285869867119f493123ccabac8d24d8a4de6c8700aa1bd5578bfbfd4e13adda10cfb4a59ad4de1a51a6180a3e9455acde928e SHA512 a0bd6104405302ab9155438e980223c0ac97c0bb9026afa701f02cd6b79233cdbb7e1f953314542ebed829c1db96bc73def47eeff42f63c75c31e1fb8e981829
DIST alembic-1.5.8.tar.gz 1154284 BLAKE2B 704a7aeb15fcfae8746238ef7ae4533ecbaaf83ab9248035c35cea343a4d02e02c00dfa3c8186826a437c839053fc6292c3f8343945ca32273ee608f6572f513 SHA512 e68f3709ed969764cff4c9f755781a10123631d2d07a970674fda2226c84cb92c140bc5ae81e44c8b279823718d4f0544236d260fd04fb7107f3d8293c85b4f0
diff --git a/dev-python/alembic/alembic-1.5.5.ebuild b/dev-python/alembic/alembic-1.5.5.ebuild
deleted file mode 100644
index cdbe2d605e9b..000000000000
--- a/dev-python/alembic/alembic-1.5.5.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
-HOMEPAGE="https://github.com/sqlalchemy/alembic"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="doc"
-
-RDEPEND="
- >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]
- >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/. )
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/alembic/alembic-1.5.6.ebuild b/dev-python/alembic/alembic-1.5.6.ebuild
deleted file mode 100644
index 8b64ac35c093..000000000000
--- a/dev-python/alembic/alembic-1.5.6.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
-HOMEPAGE="https://github.com/sqlalchemy/alembic"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="doc"
-
-RDEPEND="
- >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]
- >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/. )
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/alembic/alembic-1.5.7.ebuild b/dev-python/alembic/alembic-1.5.7.ebuild
index 8b64ac35c093..cdbe2d605e9b 100644
--- a/dev-python/alembic/alembic-1.5.7.ebuild
+++ b/dev-python/alembic/alembic-1.5.7.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
IUSE="doc"
RDEPEND="
diff --git a/dev-python/aniso8601/Manifest b/dev-python/aniso8601/Manifest
index 366c8239720d..bab2940c528b 100644
--- a/dev-python/aniso8601/Manifest
+++ b/dev-python/aniso8601/Manifest
@@ -1,2 +1 @@
-DIST aniso8601-9.0.0.tar.gz 46924 BLAKE2B 2dc0d24b536de48b3c1367203d685b00fcde8b257fc407ad38461422d4b278af1f29bd32dd74136c72204530d874d427d967f711aa69c9224c47ea3883a70102 SHA512 e0fc9ab1de36ddc7a78c0fdd139769312302bb2f8d7ce874aba1e714c7da25ed153a883ef92e62ad9f1a0c4d192c43cc939b8e82405f9f60b7d4b400f104e348
DIST aniso8601-9.0.1.tar.gz 47345 BLAKE2B d8167bff8fdde88799e165c12aa0ea10a34d2edc91f8eeba93105e669dab52ab73e688467370927ef749395491baa128b55c984feb4f1d972e75242ec1c1efbc SHA512 a17c363a3a67b69a2fde50cc37b080b52615cebc453ef70090498ffce909775b0109c889b63e87381c795c2d8531efd6048542627c88e97297ac22ce81c10c8c
diff --git a/dev-python/aniso8601/aniso8601-9.0.0.ebuild b/dev-python/aniso8601/aniso8601-9.0.0.ebuild
deleted file mode 100644
index d59db745b101..000000000000
--- a/dev-python/aniso8601/aniso8601-9.0.0.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A library for parsing ISO 8601 strings"
-HOMEPAGE="https://bitbucket.org/nielsenb/aniso8601/ https://pypi.org/project/aniso8601/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.7.3[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
diff --git a/dev-python/aniso8601/aniso8601-9.0.1.ebuild b/dev-python/aniso8601/aniso8601-9.0.1.ebuild
index f1b71e0c195c..d59db745b101 100644
--- a/dev-python/aniso8601/aniso8601-9.0.1.ebuild
+++ b/dev-python/aniso8601/aniso8601-9.0.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND=">=dev-python/python-dateutil-2.7.3[${PYTHON_USEDEP}]"
diff --git a/dev-python/asgiref/Manifest b/dev-python/asgiref/Manifest
index d1df77f47c8b..21c4f4021096 100644
--- a/dev-python/asgiref/Manifest
+++ b/dev-python/asgiref/Manifest
@@ -1,2 +1,3 @@
DIST asgiref-3.3.1.tar.gz 27197 BLAKE2B 1a883ed8b87dd1214ffb7672796159684f04a9a38d75562df38455ea039667f877020263b4577a3f6f7cfdfa0aae2a2074781db669f10c5b639a5009ee4c94b3 SHA512 2d709e8b0ea8b9f11f485ee438cfbbfe8a832de1aa37094a6339cfff23c2605ec79f691320c42bebf46f3bddb005ebb6857d17a8ad641c87a149536cc65984e6
DIST asgiref-3.3.2.tar.gz 30088 BLAKE2B 7c2b6083a0e0bd19162d4e1e12ad8e3b7267e8e004494eeca0e22ce13acd3bdc7b4ab056f72bb19209b7f933cee817e50930e31be798a89d0952d9de38fc6d67 SHA512 e2259add28554968936e09bf6a53cf71cef4e2e01d58d8e9651543657ba8517be5f2dd7d76334394cac579f7d560e3ab1c498434bbd67276b336ddd78644ba1f
+DIST asgiref-3.3.4.tar.gz 30780 BLAKE2B f14a5ae3cc3d0c67a827b4b8d002c9d92388285f7388b7ac439b11fbe2e72b6dee5a9c38637e6b5189e3a3625d24a806b5aeff1ffc41861fd4947d7b7c4621ba SHA512 e224ce82f9156e3efde316f3e209a9fbb9494cb9347d6652e19ed130921143de8d3e2a45f50352bf13fcdf229c291e68a0348fff31de144e58cd1a53b4eb0c31
diff --git a/dev-python/asgiref/asgiref-3.3.4.ebuild b/dev-python/asgiref/asgiref-3.3.4.ebuild
new file mode 100644
index 000000000000..61e1320d8226
--- /dev/null
+++ b/dev-python/asgiref/asgiref-3.3.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="ASGI utilities (successor to WSGI)"
+HOMEPAGE="
+ https://asgi.readthedocs.io/en/latest/
+ https://github.com/django/asgiref/
+ https://pypi.org/project/asgiref/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' python3_7)"
+BDEPEND="
+ test? ( dev-python/pytest-asyncio[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index eb92d34dc2ae..03574a17bde0 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -9,3 +9,4 @@ DIST boto3-1.17.42.tar.gz 357288 BLAKE2B 9a92b8dcee054e408954ea1cf31c776777fcf27
DIST boto3-1.17.43.tar.gz 358179 BLAKE2B 7d0a9344642b8c2a4241296327e055abe700c82776e83f12f30ff510ac9364ca6e7fd49f254ce8a3e1ac7123cbb747665dcba774e9befdfd053b3db1f72615bb SHA512 d6271b4563c92097f9c670f4e9c73c01c2a6764d344bed84a4bb08fb7989cd38147890e2c9526cfcbc2e1ae1de9d1e596385c5dc662db7b75c35a69d5ff79831
DIST boto3-1.17.44.tar.gz 358816 BLAKE2B 1739762cf4723d6fde30080d468732dd6fb9bc9e2d66b37621a545262a60cc2783505f39dabad28af34d4f2d69720053a256cb823937a99b699d76513fb9294d SHA512 69e3357f363e08b3135ffdf6aaac6049b0619fafd82049679b238f35013864cdf599452bd94ccd7c27a4da441bc81be79ebebd05b20460c45f5808c3b70cb9ca
DIST boto3-1.17.45.tar.gz 359297 BLAKE2B 2e0f2b3b13db473f2067d2d662dbe867189f4e82bd9730d1acda8448fe30d85d59a4a5a618e4ac9c3bd29ed3167eb05aee06138027b83497349cef8e1ece8565 SHA512 a686f19e788248a61deeff1c58fa18d3d000b32f3303c177f28db954d1bdec841a042f8310a545dc2214536ba4bcdf59d50173a7ca54e90bef68d61c6276b7f4
+DIST boto3-1.17.46.tar.gz 359739 BLAKE2B 87c22c4605c521e8b80b5b366cc56ce88745cba3fce12ed8a5dd6905b27fbd67dc440eac05f45552f80b6b281df10265d7dce2ef378840c7d6f7d1f1239e478f SHA512 84eabf10695c3fa236436658b878fa2de5c3307aef9f8b68047c1481963fe479b642cff22852a6f76bd208622da61398cbfc3feb3c5f5f6c03ac9e4e1e06a441
diff --git a/dev-python/boto3/boto3-1.17.46.ebuild b/dev-python/boto3/boto3-1.17.46.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.46.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 6dca42cf6bc4..80243d819b0a 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -9,3 +9,4 @@ DIST botocore-1.20.42.tar.gz 7579571 BLAKE2B 26d4a2c9e2df7df92888e9f49dba3799ccf
DIST botocore-1.20.43.tar.gz 7595391 BLAKE2B 78c7e146e2a5b204c5a4c0b6c0d8ea6ee8bdc36339698a671c90f529f74ce4e9314a901021fc7eeb93a8ad81d8442093478a365076175129a9924891dbfe34bd SHA512 2b575aed2748d5f4c8be593eb119f9453237c81a5fe53a5852a14f355626fa56111a5932ccf2825e28100414ea2ce5fd57b923e819296cf7eebe88a786bbf14a
DIST botocore-1.20.44.tar.gz 7596878 BLAKE2B 935d4ea1c5212d29566c3344761b00d2eb03e7588bd7805072926ecd41f0fa03cd91e25802dc63078190c49f1b8503545bd0b2a88d702c04a961d57a0022080f SHA512 eb7ae15bac4ae8ad516ebcd8166f65a809d7d02c11dde25b714f7bf673ecfeef9ea414ab4b53ac428ac948ee8b054666ba2f6c0a96e6d148ff46d94e6100350d
DIST botocore-1.20.45.tar.gz 7597127 BLAKE2B 64023be1da8b10ab29110fe626ba641e9da48a47db663c2e17ed8f590b448d4fab07d66cbb68485cacaed556f27c48e12a8b2d7aa6053fcff921e4776f8a9db8 SHA512 2a3f97e4f1046aa4df3a5da9d3722579dcea0937807d9115ec5480e243788a31c58d10e1b4e002cb43668adb75174d9351cbf6b52edc0a5970c7d4b10691b02c
+DIST botocore-1.20.46.tar.gz 7600596 BLAKE2B 31d81b6ae5ed9a4cf61d81151216bfb49badefce1eb56ae65ead25219044483753e6216883c50602efac336c7d2681a3814ec2449c964d9d0281dc0480180d32 SHA512 fdedd2b79ac8134b7cb819f2f713e7466c4e6f635155799dac0b95b5d97fc2010190b1e64c035b6f375082dff4e65cdf6389e267d25690caa7596dbb381c83c0
diff --git a/dev-python/botocore/botocore-1.20.46.ebuild b/dev-python/botocore/botocore-1.20.46.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.46.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/brotlicffi/Manifest b/dev-python/brotlicffi/Manifest
index 7f031b2bfc61..4691f0c3ce7a 100644
--- a/dev-python/brotlicffi/Manifest
+++ b/dev-python/brotlicffi/Manifest
@@ -1,2 +1,3 @@
DIST brotli-46c1a881b41bb638c76247558aa04b1591af3aa7.tar.gz 19840371 BLAKE2B b9a1c3c2e5b62bd63b392debe54bd1732ac1cb31f88500f0142108b453649d96901d9a03b6db98642cb9abaf9188c06d440f2b8bd3cf57fbbb52196a931f5079 SHA512 dc573c90491032a205f32f0ce9c93e95b06c70a3107caa9501e038a212226c37117d63709a29843367344bf7d18cf32d0c0578b11166387198e12b38b1522406
DIST brotlicffi-1.0.9.1.gh.tar.gz 22589 BLAKE2B 14ebb3f6168d334abe3ba72bd88697ee98aba87ace6aaf634395ef50ecd9325723f0da0a9ce56a5e4dcfebfe3183a190e2ec183eff95492b25e3542161b32322 SHA512 669c73ed6dd18be6b916bb8cfb240657dcc10d67df5a32b3359f05cadf75aa654c27b53e8b964251f6d6cd74870e159efddf87ef0cfb59b7777eacd3cda66852
+DIST brotlicffi-1.0.9.2.gh.tar.gz 22714 BLAKE2B 463cff7aed04718d1c77e6b3477dbbdb40cf61f0e045a7759bf1e8656e3b07e7b9f3ff5c5356069e752d750774a6ab203588a4094d27ad7ab9ae80f091c6ea3a SHA512 3d200f606c9851f0049835b53dd1f117727786505b5887e246934f41a978d375e1fa5a078e0811f130c009931e41c51575bd9d55b602ee7b6daebe9759ed15d5
diff --git a/dev-python/brotlicffi/brotlicffi-1.0.9.2.ebuild b/dev-python/brotlicffi/brotlicffi-1.0.9.2.ebuild
new file mode 100644
index 000000000000..d0bf09860838
--- /dev/null
+++ b/dev-python/brotlicffi/brotlicffi-1.0.9.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+# Commit of the Brotli library bundled within brotlipy.
+BROTLI_BUNDLED_COMMIT="46c1a881b41bb638c76247558aa04b1591af3aa7"
+
+DESCRIPTION="Python binding to the Brotli library"
+HOMEPAGE="
+ https://github.com/python-hyper/brotlicffi/
+ https://pypi.org/project/brotlicffi/"
+SRC_URI="
+ https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/google/brotli/archive/${BROTLI_BUNDLED_COMMIT}.tar.gz
+ -> brotli-${BROTLI_BUNDLED_COMMIT}.tar.gz
+ )"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ app-arch/brotli:=
+ virtual/python-cffi[${PYTHON_USEDEP}]"
+DEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "brotli-${BROTLI_BUNDLED_COMMIT}"/tests "${S}"/libbrotli/ || die
+ fi
+}
+
+src_configure() {
+ export USE_SHARED_BROTLI=1
+}
+
+python_test() {
+ local deselect=(
+ # incompatible with USE_SHARED_BROTLI=1
+ test/test_compatibility.py::test_brotli_version
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index 16660a614352..72acc0f59b8e 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-python-lint-0.46.0.tar.gz 6287874 BLAKE2B 7ec2665596b50697c95e32b40f736822d718d4682d3a41f72b94e45f1b42a386d2d44cb5447826010c01ccd8da655e394b7379764e5e8ca2a79db22c274cc033 SHA512 b87751a719fc037dca2533bb8e14a483bc85d4460b73c7ef2a2d2fff188bd1c611d9828dbf13eca16781e21124123a85c723054bc460243df8ee9fcba5d8e104
DIST cfn-python-lint-0.47.2.tar.gz 6478541 BLAKE2B 1955c6aa43512d4249741db982a6e4e5fe46daa3197d028590269d74690de2f67a1615e4907bfc434fb1e265770780a5c0da2a19c2bdfa8b44dfc7b0386e4405 SHA512 26e2e4cc26090e6da54ff0f90b9e35767e1d5677321cfb84ff00f820477d6ab576e7f58219346f48eb838dccf662df3a8a75e709cfa9690868d85130745f0cc8
DIST cfn-python-lint-0.48.1.tar.gz 6531054 BLAKE2B 76aab248bf8d043c274b6a6d17c9ecada3b92fb0688a32989095771206a2f37728216fe1eb5d247237457d88279b04870a5808f7a93c15f77cf53c6734a3e4aa SHA512 11373f9755d0955d57dfb48fb806565cc22d2f6deeba261dbf1446b95960bce915b4b2d0bb3e1884b59a7874ead18b0cc196bd599bcdcc935a4ab0f18b4276aa
+DIST cfn-python-lint-0.48.2.tar.gz 6710036 BLAKE2B 00f607dacbf1c10f8b82cac1ad98fb1f12a56149284bcfa7491ca2cf1c03a315ce3857eb3b6e7a3862ff1fe39b499a17840bcaed66d67ccaf19ac0bb32de8dcc SHA512 15f4506e272d53fb118d17b98a55b05ed4b870d2c39a48198d69a99ac80db04f23e596f61297672a91a020e5fd22b442ad5085d80491101c2af428e8fbfc8c24
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.48.2.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.48.2.ebuild
new file mode 100644
index 000000000000..fbf7b8c88b2b
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.48.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/coverage/coverage-5.5.ebuild b/dev-python/coverage/coverage-5.5.ebuild
index a810ab5ec183..33b0a0afc5f6 100644
--- a/dev-python/coverage/coverage-5.5.ebuild
+++ b/dev-python/coverage/coverage-5.5.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
#IUSE="test"
# The tests are impossible to appease. Please run them externally
# via tox. Or fix the ebuild if you have hours of time to spend
diff --git a/dev-python/cython/cython-0.29.22.ebuild b/dev-python/cython/cython-0.29.22.ebuild
index f239e1d2dd2e..ea12bad7d8a8 100644
--- a/dev-python/cython/cython-0.29.22.ebuild
+++ b/dev-python/cython/cython-0.29.22.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/cython/cython/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
IUSE="emacs test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/django-auth-ldap/Manifest b/dev-python/django-auth-ldap/Manifest
index 811881272955..882389eaa203 100644
--- a/dev-python/django-auth-ldap/Manifest
+++ b/dev-python/django-auth-ldap/Manifest
@@ -1,3 +1,4 @@
DIST django-auth-ldap-2.1.0.tar.gz 51027 BLAKE2B 1229d184746cf05f9c7ddb9e6674b2c529a0fc6d051f78ba01de6a80b0e5e408a8da10e35087efad60f1fef90be708e8a0c05b04c4408500329d9dfb567c0f8b SHA512 4c204eee856e33fae80a22a80bd0f3a21d1f2ee33b1ad56087832f89e91d7e1441579cf77541c1c35e8e0532d4da937b736fe3b4708d7c2d7bbccacbb0b24061
DIST django-auth-ldap-2.2.0.tar.gz 53148 BLAKE2B 1f83a2f174d9fcbd264ce7e298c0dfebc720482b058e55833416440627c9e1fc02f2ad4e585e6fe01102f100337df5835020b8ff48a5dccb850cfff28ef902a0 SHA512 2ed1913e81a4801d683280586018df57067ec84b44299da4c6415452c978c8f1d2ca1d36eaced40efa0737180d7e35971e4570753f60d946b32d846b455ab744
DIST django-auth-ldap-2.3.0.tar.gz 53383 BLAKE2B a07b487f386cec06b89a90979ef904790fcc1460bf0cab5a5b3539b4fee28cc281487c0db1996ac5b1d2bae756cb8a353fa92796654b689a82a13854cb1be9dd SHA512 08bde0ea25baaf1bcc42b500572e63636ab247a846222d3f16f25874c26c6799b37fa23dc2bfde3dfbcfb041c942ec7a2e7a4e6c7bb391eb3210568f77a8657b
+DIST django-auth-ldap-2.4.0.tar.gz 53523 BLAKE2B a8c49b4a4ecaaf31b3b9e7caca228041e110b5b418bef0a16c0fac423d929b0bc416cb83d8dd54f0f4567503ce9d09f686c936cc9d7e170d2cf93d8c124bb3d8 SHA512 acf85846ebf6bc354f6bf00f14f3436e1701f1d7a7746cc3572310f92ae93fb75ee6eff38558548d270f2e22d64aa7c0108f4cb91457a783aae76adc714b61d1
diff --git a/dev-python/django-auth-ldap/django-auth-ldap-2.4.0.ebuild b/dev-python/django-auth-ldap/django-auth-ldap-2.4.0.ebuild
new file mode 100644
index 000000000000..8e5932d8ff43
--- /dev/null
+++ b/dev-python/django-auth-ldap/django-auth-ldap-2.4.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django LDAP authentication backend"
+HOMEPAGE="https://github.com/django-auth-ldap/django-auth-ldap
+ https://pypi.org/project/django-auth-ldap/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ >=dev-python/python-ldap-3.1[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ net-nds/openldap[-minimal]
+ )"
+
+distutils_enable_sphinx docs --no-autodoc
+
+python_test() {
+ # for slapd and slapdtest
+ local -x SBIN=/usr/sbin:/usr/$(get_libdir)/openldap
+ django-admin test -v 2 --settings tests.settings \
+ || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 540a547421d5..29d35e97e651 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -1,6 +1,14 @@
DIST Django-2.2.19.checksum.txt 2563 BLAKE2B 746ba6ba9ea4edba7641e8f32c6022be76b5a10814643cf40dfa78efba1df89e3fbdcdf05248a6622b7b7dcfec06ac882bc4326a1c9518cffac4f1ab5e339f7c SHA512 64e23e0bbba0030f591fb5839c9c95b3b4175a2af21eb88b51f23a56c732a942e0a3b0166d498e918bf95b9a2451f2fef408e85c5898b6ae13b3bc9adbdf4ab6
DIST Django-2.2.19.tar.gz 9209434 BLAKE2B 0928a06d467ba9d643693cf6ffba358c05a739c6dca6199853a4debeb064748c8c56d57b768eb283ccd9cc4afe5fc192636d8270aec93108b4bcce57be5003ed SHA512 92f2200f147766349526d21b5240307e4f082f97fc5b80b55777330068a9da5eaa9941360ccdd729573d015d9a7a0430461f1ac61f749a0475c006981d8775ea
+DIST Django-2.2.20.checksum.txt 2553 BLAKE2B 93b0cb2abdf105a0755b960d5047e473a9a70abf89a73d37e86b846227be377b5b0b9f581cd0c18bdcdf92a7968e3e1cac8203558395c76d40e6b6bf899d2e46 SHA512 d573cfd94ea30ae3403d4e59232421f7f26b3c45c5485497b1b9706f1c41b98dbe31c13c02b24ed66bbf34063fa3ac867eaebc4ebc9da2df5f19a190138b2e3d
+DIST Django-2.2.20.tar.gz 9182853 BLAKE2B e1f3e685bad3b81ea687ff2b63b8cc874e8bc29a87ee8287104f50914839a9cf6c144693787fe175f84b0fb6d05378fc2382b047c1d02f944dd1609410e95576 SHA512 1d72805b3b80c9bc33a99e213f610aaf9ef90cdefa2341d7970499e831a69d2b26e5ce1e1ba1f9452b64ec768bb3f002968ebc7e26b99d5f8a07cd89b72b6870
DIST Django-3.0.13.checksum.txt 2563 BLAKE2B ef243cc9621c73ebf84e47292a18a41309eb51464a57a48084a3bfc086f9d9065c94d935136c47e0cd0f01243c4c49036a2bdaa96aac45389d25f1e085598ed7 SHA512 be4768c8ce5dddb26edfd4385da11eba9be3814bd58da6c74354d044860f6cc8805b1533169030c4a8d411d27152d40b5c7f067458dda9a11d893acd5c160baa
DIST Django-3.0.13.tar.gz 9285769 BLAKE2B 9be51ec02119b79baa4f107f296c8b72920449eb846c3cd686b0d20417330eed4db1beedaaa3778ba45e0685cc4210325a4fdf04a979a028ad5360b9f160da09 SHA512 af4e4d1491ccd7edb4363f55a78f39850b55b544cceabaf8d94a3a7a866d29a63badfb41c834cefad3cadae612f2b074f9deacde5c5ee183c55f853c687c730c
+DIST Django-3.0.14.checksum.txt 2553 BLAKE2B 142b407d6573cac8d07a140370123ce3996433742a67907cedff340741f36b0f82fb577a671929a938967b810d25cf2f491ff85241e6a25782e216eb5571c89f SHA512 3c0ec40c42b23d0213df540eeecb3d8dfc8590ccdbd2c5e8fab598a09dff0408364ea3c8836963e94205e0086c96bd64b8a049a62b9250c6b0c5850cf8d834db
+DIST Django-3.0.14.tar.gz 9259569 BLAKE2B 454b91900a9d8cf81f6227adb465e4f9e0da16e4ddab40fa4a1c66ab131832088dd89be129ec97fd70dc8725e826e7da2c657c87c2339db64dd3eba410a91eb3 SHA512 d503f99417479e5c8be928981c14517c519adc88923efaec691cf090b4d9de77424d9ca5dae09a29dae4cb5e962cd86bbfb39cc86c3e910d45bc1757cf169d4a
DIST Django-3.1.7.checksum.txt 2554 BLAKE2B 4df811f7bf1c502d4ab6031a92a07dbda24c6e67c31cd76dc68d1f29bb01ac376151f4e3f534a8293f7e10f98d0132b2f3359002ee424a9dbda3e5ab7b4e2f28 SHA512 94a93927fcb72cff5930ff824274ba5e6b0491e92d3b8b5973ed4884251cd16b1fa27816e02fd7bccdd671d8dc24523ef6713b54c10aae2cfde11e8ce5730fce
DIST Django-3.1.7.tar.gz 9673009 BLAKE2B 89b1618365b09edb7714dbb8b8361d6d1918e673175e63536a31615d5115bfd5e2a7e3918991bcf4f576deb998019e449f4a8c37b5868a4b4ea82a0340984703 SHA512 a8a24f7f25ff2f3a7b5ebe4cef08c7f1303c78bd33f9a53c10630159d6895a738e863dc1034ad0817ad89275c202b4319aa5949ce89f36ca0b537c8a5c0c407c
+DIST Django-3.1.8.checksum.txt 2544 BLAKE2B e62097ab681f16fb9732b656a05edc77673e3eefd81112bb7d362857c81f3d3f16baeb354e48f5989be8044df11440436ea39315d8c5f573968e93a54d310a3e SHA512 7c41575a3ee18f0db07b51a02ec780cf51a4cd375879c368f1b3dca405b13d1fec303bd2b85a38732c4a371c8aee7ec49fa5e12d3e1c88295a8c5e6e65f7b9c7
+DIST Django-3.1.8.tar.gz 9651582 BLAKE2B 00d0b80f2508df0d68e4009297f1251138419da0ded8ba51e85596399ffb456ac7351ed212d0f88a317ebb6b706c5ef3ee39579d9029d567ecdcf3a3af992212 SHA512 2b4df8595778b1436fe0077514f3a51d3e298fcdfb7751c8ba8bb7125ece3199a8269b2da96cdcdb230a39707e122a6d8f48444598fb624d5f5c312b12c2d7cc
+DIST Django-3.2.checksum.txt 2532 BLAKE2B f36a277a983bed99905a61ab19bff11e50ac253838ec2d9d03fb9a88541d5da530dab60817e6286dcd022cf28ce136c410b06bdd96b96547199d039b3dad922f SHA512 fae42d25963618b68f39218c6c2ed70bf5b0785568e0a7e34a6613015dcf34f433fe571866478dafa601e83150dc10b766186c820e18fd57c213867208fb6800
+DIST Django-3.2.tar.gz 9819119 BLAKE2B 5fdc0a3ee9be8b084427f4fcb226616360eaed110066aa721136045c7139683f94488434c6079e450eec65b06551e3c18d4963ae30eae06acf483a39762c6c82 SHA512 126b9e9e848ed049721163a770af062e829c11d38c8be64288287149e494ac20bb2ecec28055c36cb515fec8c4e574c4e9923b3d7bbccc548a843ce7ff7fd004
diff --git a/dev-python/django/django-2.2.20.ebuild b/dev-python/django/django-2.2.20.ebuild
new file mode 100644
index 000000000000..fa167f21cb32
--- /dev/null
+++ b/dev-python/django/django-2.2.20.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( app-crypt/openpgp-keys-django )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.7-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/django/django-3.0.14-r1.ebuild b/dev-python/django/django-3.0.14-r1.ebuild
new file mode 100644
index 000000000000..7972e7b873fc
--- /dev/null
+++ b/dev-python/django/django-3.0.14-r1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ || (
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ <dev-python/asgiref-3.3.2[${PYTHON_USEDEP}]
+ )
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( app-crypt/openpgp-keys-django )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.0.6-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+src_prepare() {
+ # do not bind to a specific version
+ # https://bugs.gentoo.org/750695
+ sed -i -e 's:asgiref ~= 3.2:asgiref:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/django/django-3.1.8-r1.ebuild b/dev-python/django/django-3.1.8-r1.ebuild
new file mode 100644
index 000000000000..7afa8aa43c57
--- /dev/null
+++ b/dev-python/django/django-3.1.8-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ || (
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ <dev-python/asgiref-3.3.2[${PYTHON_USEDEP}]
+ )
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=app-crypt/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/django/django-3.2.ebuild b/dev-python/django/django-3.2.ebuild
new file mode 100644
index 000000000000..14009945545f
--- /dev/null
+++ b/dev-python/django/django-3.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=app-crypt/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/docker-py/Manifest b/dev-python/docker-py/Manifest
index fdc92972dcec..8ddc8ec57523 100644
--- a/dev-python/docker-py/Manifest
+++ b/dev-python/docker-py/Manifest
@@ -1 +1,2 @@
DIST docker-py-4.4.4.tar.gz 247640 BLAKE2B 68b2e0d41e68fdf4826d61b7ab167321467b1b30f122f0b29955a62ac5f036fc0b60b02a8c9a6776ffd9a7cafb5744de44ec3b9284d0f266a1dd5c72fbec2879 SHA512 4106ffe353ce8c3227c30c38347f107e0f7da660f1c3ae68bf2c576fc6b270f6fae6774747c46491eae0fc85a48dfe246b7a22d8e45c74eff89ed43be285f0df
+DIST docker-py-5.0.0.tar.gz 247639 BLAKE2B 7e7f1d0edf228c967ee9252c6dc37e803a2e91601d3dce06db335c4bc4c8af43097864307ad72d4665d13f9ab0ba63b3dfd5ac7baa4dbc903ca57fe67985c1d2 SHA512 fae4afcda91ddf946048f76e62928a4891e1b0ce522b820aefb774dde58eb8e2aac0a381971acca04ca87794989ba675464e7913fab4abf2ed414719d66c91d1
diff --git a/dev-python/docker-py/docker-py-5.0.0.ebuild b/dev-python/docker-py/docker-py-5.0.0.ebuild
new file mode 100644
index 000000000000..6546c353c750
--- /dev/null
+++ b/dev-python/docker-py/docker-py-5.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Docker"
+HOMEPAGE="https://github.com/docker/docker-py"
+SRC_URI="https://github.com/docker/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.24.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ >=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ 'dev-python/recommonmark' \
+ '>=dev-python/sphinx-1.4.6'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # localhost has a better chance of being in /etc/hosts
+ sed -e 's:socket[.]gethostname():"localhost":' \
+ -i tests/unit/api_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vv tests/unit/ || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/google-auth-httplib2/Manifest b/dev-python/google-auth-httplib2/Manifest
index 8d1467233291..b65ecdc417b6 100644
--- a/dev-python/google-auth-httplib2/Manifest
+++ b/dev-python/google-auth-httplib2/Manifest
@@ -1,2 +1 @@
-DIST google-auth-httplib2-0.0.4.tar.gz 11218 BLAKE2B a6f4b4cf29ba6db81d70dda16eef7c2d378cf1c38d1f3f2f27a38a7d293809a23a4ae38ef0515b8b1ce278bdfc4a15daa291cac0a70f7a84cf7c8f40e36e01c5 SHA512 a33e54d07c610dcb1e01118808792c3a259b7f1a579acbe3f92825ad5100b96a844168bb37327e71f078b870f1594b021d59d0c86c15868384f19ddb569b42cb
DIST google-auth-library-python-httplib2-0.1.0.tar.gz 25116 BLAKE2B dbb0393bafb1bbe67b99ac0783e687271c42256c7b283422b884b86d4c8a83222392a5514b812aae683ec7f887afa4bf81307079e676f793f02eb87e52a375e5 SHA512 52b0faf70e185cb89420377a06c77e2c45f6b910b85371fc2c42fdfb06a4ebca28b476201f9d179fbaa4a8bf7b6015703d023ddd95d482113e2cdbf79fd376b5
diff --git a/dev-python/google-auth-httplib2/google-auth-httplib2-0.0.4.ebuild b/dev-python/google-auth-httplib2/google-auth-httplib2-0.0.4.ebuild
deleted file mode 100644
index 7c75e03386c6..000000000000
--- a/dev-python/google-auth-httplib2/google-auth-httplib2-0.0.4.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-MY_PN="google-auth-library-python-httplib2"
-DESCRIPTION="httplib2 Transport for Google Auth"
-HOMEPAGE="https://pypi.org/project/google-auth-httplib2/ https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2"
-# PyPi tarball is missing unit tests
-#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-SRC_URI="https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-python/httplib2[${PYTHON_USEDEP}]
- dev-python/google-auth[${PYTHON_USEDEP}]
- "
-DEPEND="${RDEPEND}
- test? (
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- )"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-python_test() {
- pytest -vv || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0.ebuild b/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0.ebuild
index 1d079d864a66..62802b12fbfb 100644
--- a/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0.ebuild
+++ b/dev-python/google-auth-httplib2/google-auth-httplib2-0.1.0.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 x86"
RDEPEND="
dev-python/httplib2[${PYTHON_USEDEP}]
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 6a46da99e86d..7ddb7609044c 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,2 @@
-DIST google-auth-1.27.0.tar.gz 157225 BLAKE2B d3bf40dac2f72d5bafa318c4ec07588a250d4d778b2313c22ef5f43742939b023c864f465f543bf9e8ef6fd0251ba4642f78151df2534e82f2f2a60f5894e63c SHA512 adadea669ddd18a345011602e9fd575fa7783aee0f786d6a42e97278e14a0acf721451d7171765c8aea4bfa5eaa63762f9f826a2d1d5f2c4ea6abbb7d7186ebb
DIST google-auth-1.27.1.tar.gz 157876 BLAKE2B 0a06451e8a800231972b5b167d45410791b38a1616043912befb5554eff217bd1af70bf34aaf455fe68f9f515ea143cb2446800231006c369005de6981f7f466 SHA512 d640bb5395f956fd3442ea31145af2d72855108bff6b11dfeecfd4b48ad4fa50efba838e423bace310e78bbae74860d6c031d4ee873a7ab6dd522eb49e3fbdab
DIST google-auth-1.28.0.tar.gz 158266 BLAKE2B 7e1fcdd0a6d155c0170012d43062fa5df2c9dd731105990af6d055c0dc8f9c36917776876a25caedd4b804acf24cdebd93a0953a9f7642563a5abc05cc946156 SHA512 a02db23132950c99e032d8318451cd67127f1e9fc57731a8a76505a360d77484aef1859e54d8e4efa1bcde3f6f5379c3324d54cf57c0a95fb1fa7765f43e9581
diff --git a/dev-python/google-auth/google-auth-1.27.0.ebuild b/dev-python/google-auth/google-auth-1.27.0.ebuild
deleted file mode 100644
index 88e4d1589e40..000000000000
--- a/dev-python/google-auth/google-auth-1.27.0.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="Google Authentication Library"
-HOMEPAGE="
- https://github.com/googleapis/google-auth-library-python/
- https://pypi.org/project/google-auth/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-python/namespace-google[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
- >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
- >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
- "
-DEPEND="${RDEPEND}
- test? (
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/grpcio[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/moto[${PYTHON_USEDEP}]
- dev-python/oauth2client[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/responses[${PYTHON_USEDEP}]
- dev-python/urllib3[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- # delete stray files included in the tarball
- find "${S}"/tests -name '*.pyc' -delete || die
- distutils-r1_src_prepare
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/google-auth/google-auth-1.27.1.ebuild b/dev-python/google-auth/google-auth-1.27.1.ebuild
index 9ac16e5b5663..d1bd1f658a51 100644
--- a/dev-python/google-auth/google-auth-1.27.1.ebuild
+++ b/dev-python/google-auth/google-auth-1.27.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 x86"
RDEPEND="
dev-python/namespace-google[${PYTHON_USEDEP}]
diff --git a/dev-python/hcloud-python/Manifest b/dev-python/hcloud-python/Manifest
index 8d1b8e5080f5..b9753d1ba913 100644
--- a/dev-python/hcloud-python/Manifest
+++ b/dev-python/hcloud-python/Manifest
@@ -1 +1,2 @@
DIST hcloud-python-1.10.0.tar.gz 82155 BLAKE2B a22ad24863f416b039a04d9e82675fa7923303d73aff6045a2247fc755db1740cfd98418a84758a15eb96ff666bc6e395a969cf59a234571414087fb03cd533f SHA512 c16e070c39e514faf002f7c78ed8fca6ac762775a75bb1a04f3033f6cd9ca6424b595dbd636ad451bce1eb5b52214373ddd29513937c42c84b4a0a7d2e84fb3f
+DIST hcloud-python-1.12.0.tar.gz 88905 BLAKE2B 1e24cfa208f02a1068b0016ac8948358a3709eb4a2c1f73d75d8e3ee85bee7265b0da6f5cfc58afefee664a024becc57dfa3389f36c4e7ae0c0ae623944e51a3 SHA512 fc431041d2bbae749d5335dda0c8ccf6abcb3fdd8e3a467b50a2ff45e70f9b7a8378bc2b72c00be7c65cc8cf84e01fde7965c6bb731b7252d7da377648bc01eb
diff --git a/dev-python/hcloud-python/hcloud-python-1.12.0.ebuild b/dev-python/hcloud-python/hcloud-python-1.12.0.ebuild
new file mode 100644
index 000000000000..d27a071c664d
--- /dev/null
+++ b/dev-python/hcloud-python/hcloud-python-1.12.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="https://github.com/hetznercloud/hcloud-python"
+SRC_URI="https://github.com/hetznercloud/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+RDEPEND="
+ >=dev-python/future-0.17.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ # Integration tests need docker:
+ # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
+ epytest --ignore tests/integration
+}
diff --git a/dev-python/hcloud-python/metadata.xml b/dev-python/hcloud-python/metadata.xml
index 788e950b07ea..51ec16cdfbaf 100644
--- a/dev-python/hcloud-python/metadata.xml
+++ b/dev-python/hcloud-python/metadata.xml
@@ -5,6 +5,10 @@
<email>ago@gentoo.org</email>
<name>Agostino Sarubbo</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="github">hetznercloud/hcloud-python</remote-id>
<remote-id type="pypi">hcloud</remote-id>
diff --git a/dev-python/ijson/Manifest b/dev-python/ijson/Manifest
index 472d8449681c..e6437cd6be9a 100644
--- a/dev-python/ijson/Manifest
+++ b/dev-python/ijson/Manifest
@@ -1,2 +1 @@
-DIST ijson-3.1.3.tar.gz 125658 BLAKE2B 3866c89b3dab6f55138b51d52c55a1b2c83e4e26d98e08724cd3d96ccb28a7d2a5fb1889e59f499cfe3b4ee8642933f88fbb18111ac94a8195a97109fbf8a08f SHA512 f4da9e44cc42fac7d9eeb6ba897ba7c3b477e07b4fb6e91abda59a83638d29dc41a845ba9ff5907130657a78ccfb788a6b88d8026f58b2095174e6939e25ef8a
DIST ijson-3.1.4.tar.gz 125725 BLAKE2B 870439690c0b776d04c3023fb910d0f9ff2ca573be728c06802fbbbd5de1d5dcb8e677b778d30cb134d181dfc4ffd53c686af3d57458501d9548ddbdba8bf6d7 SHA512 7e64c4fec84fd6942c83809849eefc1c299c597524c0fe73e2cdc542e113faad8f35cc5219b0bc4e05842ac69d8608089d7cbb2dc006e404c184505392b21baa
diff --git a/dev-python/ijson/ijson-3.1.3.ebuild b/dev-python/ijson/ijson-3.1.3.ebuild
deleted file mode 100644
index c4153314b1cd..000000000000
--- a/dev-python/ijson/ijson-3.1.3.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-MY_PV="${PV//_p/.post}"
-DESCRIPTION="Iterative JSON parser with a Pythonic interface"
-HOMEPAGE="
- https://github.com/ICRAR/ijson
- https://pypi.org/project/ijson/
-"
-SRC_URI="https://github.com/ICRAR/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="dev-libs/yajl"
-DEPEND="${RDEPEND}"
-
-distutils_enable_tests pytest
diff --git a/dev-python/ijson/ijson-3.1.4.ebuild b/dev-python/ijson/ijson-3.1.4.ebuild
index fee6a9d6c736..c4153314b1cd 100644
--- a/dev-python/ijson/ijson-3.1.4.ebuild
+++ b/dev-python/ijson/ijson-3.1.4.ebuild
@@ -17,7 +17,7 @@ S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="dev-libs/yajl"
DEPEND="${RDEPEND}"
diff --git a/dev-python/ipdb/Manifest b/dev-python/ipdb/Manifest
index 5b8e8ca95ae1..c182e96f3e4b 100644
--- a/dev-python/ipdb/Manifest
+++ b/dev-python/ipdb/Manifest
@@ -1,4 +1 @@
-DIST ipdb-0.10.3.tar.gz 9356 BLAKE2B 50afece454d55ce3df13251afb625d93e11f7ae8d0e563ca7007e7abe0ad46b59f2e93318578992c5c7d2d25fc815d53ebed8801530d74c4fb30cc150246f415 SHA512 5f704222ea4d6877bbf6a83cb528e0e975ceebd7ee0838cd7a01f167381b80c48d3c8fc06d13a718a08ec619bfe984fd258e86ce93dba571ebdec2539db543f3
-DIST ipdb-0.13.5.tar.gz 16145 BLAKE2B e0bae825c2ce6b640e73e8ad8615f5f4e9c18a00e8c081a66ef0adab3429792a07c8434ddc8b236f938b7efd263c51f29bfe3f8d232d8bca20ab0cc2eff8165f SHA512 3ec05dec884a0006435fd7e5eb68bc76c6dacb1b0dd3f68c10c8c2a9dd3991bd6e498dcfb3877e5e534240ead1194787049ae3815fb8579b7bdea2e8c91970c3
-DIST ipdb-0.13.6.tar.gz 16303 BLAKE2B 92c5a3b5717c6cb8f1afc8b13d6ad04a0964bb82221e5637818c085f6df6451b806b74bea6cfb1b3f18db7b3a8101bcf006160f9ad0ab241dbcc088dc0fd0321 SHA512 d46d92e55fc3ca35dfa29aed9a47cfb841cc09460ba7724dd553d719f8e8deddeba33a39e143914c32a5e41d38ffe086dc4b64c6c53b984a6c83546ae5f46319
DIST ipdb-0.13.7.tar.gz 16437 BLAKE2B 3f4ca56f0279f4bccc14eb12df48e03b938ff2de0e77a5fff273f82895dacc8d079f5ebd66f63568f62f3f1ae3f266695a6bad23911a872b5ed0f1628d32d1aa SHA512 14ccccb645bf3fb303d82718ed9f1e7fd19d699c9a875358b336135b40f9492b6c9c260c53fa87f38aa381e989e6f6c801f081eaa361c8e929c6e1b0bbaa300e
diff --git a/dev-python/ipdb/ipdb-0.10.3-r1.ebuild b/dev-python/ipdb/ipdb-0.10.3-r1.ebuild
deleted file mode 100644
index 68700ca084cf..000000000000
--- a/dev-python/ipdb/ipdb-0.10.3-r1.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="IPython-enabled pdb"
-HOMEPAGE="https://pypi.org/project/ipdb/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ppc64 x86"
-
-RDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- app-arch/unzip"
-
-DOCS=( HISTORY.txt )
-
-python_test() {
- esetup.py test
-}
diff --git a/dev-python/ipdb/ipdb-0.13.5.ebuild b/dev-python/ipdb/ipdb-0.13.5.ebuild
deleted file mode 100644
index e764c8835ae1..000000000000
--- a/dev-python/ipdb/ipdb-0.13.5.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="IPython-enabled pdb"
-HOMEPAGE="https://pypi.org/project/ipdb/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-RDEPEND=">=dev-python/ipython-7.17[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- app-arch/unzip"
-
-DOCS=( HISTORY.txt )
-
-distutils_enable_tests unittest
diff --git a/dev-python/ipdb/ipdb-0.13.6.ebuild b/dev-python/ipdb/ipdb-0.13.6.ebuild
deleted file mode 100644
index e764c8835ae1..000000000000
--- a/dev-python/ipdb/ipdb-0.13.6.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="IPython-enabled pdb"
-HOMEPAGE="https://pypi.org/project/ipdb/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-RDEPEND=">=dev-python/ipython-7.17[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- app-arch/unzip"
-
-DOCS=( HISTORY.txt )
-
-distutils_enable_tests unittest
diff --git a/dev-python/ipdb/ipdb-0.13.7.ebuild b/dev-python/ipdb/ipdb-0.13.7.ebuild
index ba20352615a6..644f4ecaec34 100644
--- a/dev-python/ipdb/ipdb-0.13.7.ebuild
+++ b/dev-python/ipdb/ipdb-0.13.7.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
+KEYWORDS="amd64 ~arm ~arm64 ppc64 x86"
RDEPEND=">=dev-python/ipython-7.17[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
diff --git a/dev-python/ipython/ipython-7.21.0.ebuild b/dev-python/ipython/ipython-7.21.0-r1.ebuild
index 849ce0a952e5..4dc42f627403 100644
--- a/dev-python/ipython/ipython-7.21.0.ebuild
+++ b/dev-python/ipython/ipython-7.21.0-r1.ebuild
@@ -19,7 +19,7 @@ KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
-CDEPEND="
+RDEPEND="
dev-python/backcall[${PYTHON_USEDEP}]
dev-python/decorator[${PYTHON_USEDEP}]
>=dev-python/jedi-0.16[${PYTHON_USEDEP}]
@@ -32,12 +32,8 @@ CDEPEND="
matplotlib? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
"
-RDEPEND="${CDEPEND}
- nbconvert? ( dev-python/nbconvert[${PYTHON_USEDEP}] )"
-
BDEPEND="
test? (
- ${CDEPEND}
app-text/dvipng[truetype]
>=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
dev-python/nbformat[${PYTHON_USEDEP}]
@@ -53,6 +49,10 @@ BDEPEND="
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
)"
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? ( dev-python/nbconvert[${PYTHON_USEDEP}] )"
PDEPEND="
notebook? (
dev-python/notebook[${PYTHON_USEDEP}]
@@ -79,6 +79,10 @@ python_prepare_all() {
sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
fi
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
distutils-r1_python_prepare_all
}
@@ -93,13 +97,6 @@ src_test() {
virtx distutils-r1_src_test
}
-python_test() {
- distutils_install_for_testing
- pushd "${TEST_DIR}" >/dev/null || die
- "${TEST_DIR}"/scripts/iptest || die
- popd >/dev/null || die
-}
-
python_install() {
distutils-r1_python_install
diff --git a/dev-python/ipython/ipython-7.22.0.ebuild b/dev-python/ipython/ipython-7.22.0-r1.ebuild
index 50a76524044f..0f8cfb19a2fb 100644
--- a/dev-python/ipython/ipython-7.22.0.ebuild
+++ b/dev-python/ipython/ipython-7.22.0-r1.ebuild
@@ -19,7 +19,7 @@ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
-CDEPEND="
+RDEPEND="
dev-python/backcall[${PYTHON_USEDEP}]
dev-python/decorator[${PYTHON_USEDEP}]
>=dev-python/jedi-0.16[${PYTHON_USEDEP}]
@@ -32,12 +32,8 @@ CDEPEND="
matplotlib? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
"
-RDEPEND="${CDEPEND}
- nbconvert? ( dev-python/nbconvert[${PYTHON_USEDEP}] )"
-
BDEPEND="
test? (
- ${CDEPEND}
app-text/dvipng[truetype]
>=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
dev-python/nbformat[${PYTHON_USEDEP}]
@@ -53,6 +49,10 @@ BDEPEND="
dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
)"
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? ( dev-python/nbconvert[${PYTHON_USEDEP}] )"
PDEPEND="
notebook? (
dev-python/notebook[${PYTHON_USEDEP}]
@@ -79,6 +79,10 @@ python_prepare_all() {
sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
fi
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
distutils-r1_python_prepare_all
}
@@ -93,13 +97,6 @@ src_test() {
virtx distutils-r1_src_test
}
-python_test() {
- distutils_install_for_testing
- pushd "${TEST_DIR}" >/dev/null || die
- "${TEST_DIR}"/scripts/iptest || die
- popd >/dev/null || die
-}
-
python_install() {
distutils-r1_python_install
diff --git a/dev-python/matterhook/matterhook-0.2-r1.ebuild b/dev-python/matterhook/matterhook-0.2-r1.ebuild
index 0cd45696540c..a52bf3be923f 100644
--- a/dev-python/matterhook/matterhook-0.2-r1.ebuild
+++ b/dev-python/matterhook/matterhook-0.2-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
diff --git a/dev-python/matterhook/matterhook-0.2.ebuild b/dev-python/matterhook/matterhook-0.2.ebuild
deleted file mode 100644
index 41a0f26f734a..000000000000
--- a/dev-python/matterhook/matterhook-0.2.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Interact with Mattermost incoming webhooks easily"
-HOMEPAGE="https://github.com/numberly/matterhook"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
-
-DEPEND="
- ${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/micawber/Manifest b/dev-python/micawber/Manifest
index fa5c705f7e96..eeb3f632c5f1 100644
--- a/dev-python/micawber/Manifest
+++ b/dev-python/micawber/Manifest
@@ -1,2 +1 @@
-DIST micawber-0.5.2.tar.gz 34541 BLAKE2B d123e67ed859a60d102c4653776d0440e410f084087bf27fa56f4976e6e1d06d4f5a7d91bb67b45c6fb99657d6b3cdf6145d3153bc13553b9f4e7892cc7e6d24 SHA512 2bca326f884e88b31a1e019f22d5002316d200f7b273cf2a80ed6240e3fcafc2816f351e8f992905d4b60223061fb096469e905d75ef7c1c45b941d744a1a217
DIST micawber-0.5.3.tar.gz 34550 BLAKE2B 045eebd018d8b1f52cca9f043cfbc8de528a409e42ad9f785cfa00bbe223546c98d2d182ed2dca0047b3e73428b318e8db712466813a781154a8a6654d8cb9a4 SHA512 7b5c7e3bb5d92a50a3488229c59c5ae95355410cc0aacd49be2d96372a2d6ab9169aa6ab066d49c72e6a8b80358b3937b358c4bb8027779c5132f0929747dde8
diff --git a/dev-python/micawber/micawber-0.5.2.ebuild b/dev-python/micawber/micawber-0.5.2.ebuild
deleted file mode 100644
index d5c154c0fe9f..000000000000
--- a/dev-python/micawber/micawber-0.5.2.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="A small library for extracting rich content from urls"
-HOMEPAGE="https://github.com/coleifer/micawber/"
-SRC_URI="https://github.com/coleifer/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="
- test? (
- $(python_gen_impl_dep sqlite)
- dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
- dev-python/django[${PYTHON_USEDEP}]
- )"
-
-python_test() {
- "${EPYTHON}" runtests.py || die "Tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/micawber/micawber-0.5.3.ebuild b/dev-python/micawber/micawber-0.5.3.ebuild
index f38210c5cae0..d5c154c0fe9f 100644
--- a/dev-python/micawber/micawber-0.5.3.ebuild
+++ b/dev-python/micawber/micawber-0.5.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/coleifer/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild b/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild
index e79d718cf9e0..28850a969db5 100644
--- a/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild
+++ b/dev-python/miniupnpc/miniupnpc-2.2.2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ppc ppc64 ~x86"
+KEYWORDS="amd64 ppc ppc64 x86"
IUSE=""
RDEPEND=">=net-libs/miniupnpc-${PV}:0="
diff --git a/dev-python/python-language-server/files/pyls-fix-test_folding.patch b/dev-python/python-language-server/files/pyls-fix-test_folding.patch
new file mode 100644
index 000000000000..6980053bf48a
--- /dev/null
+++ b/dev-python/python-language-server/files/pyls-fix-test_folding.patch
@@ -0,0 +1,38 @@
+From 2d3c52c7b9debd73073650d22a3aa6e86d5491aa Mon Sep 17 00:00:00 2001
+From: Ben Greiner <code@bnavigator.de>
+Date: Thu, 1 Apr 2021 21:33:38 +0200
+Subject: [PATCH 2/2] TST: accept folding of decorator parameters in Python 3.9
+
+---
+ test/plugins/test_folding.py | 8 ++++++--
+ 1 file changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/test/plugins/test_folding.py b/test/plugins/test_folding.py
+index 05f0cdd8..91ac0f3b 100644
+--- a/test/plugins/test_folding.py
++++ b/test/plugins/test_folding.py
+@@ -1,11 +1,11 @@
+ # Copyright 2019 Palantir Technologies, Inc.
+
++import sys
+ from textwrap import dedent
+
+ from pyls import uris
+-from pyls.workspace import Document
+ from pyls.plugins.folding import pyls_folding_range
+-
++from pyls.workspace import Document
+
+ DOC_URI = uris.from_fs_path(__file__)
+ DOC = dedent("""
+@@ -146,6 +146,10 @@ def test_folding(workspace):
+ {'startLine': 62, 'endLine': 63},
+ {'startLine': 64, 'endLine': 65},
+ {'startLine': 67, 'endLine': 68}]
++ if sys.version_info[:2] >= (3, 9):
++ # the argument list of the decorator is also folded in Python >= 3.9
++ expected.insert(4, {'startLine': 9, 'endLine': 10})
++
+ assert ranges == expected
+
+
diff --git a/dev-python/python-language-server/files/pyls-jedi-18.patch b/dev-python/python-language-server/files/pyls-jedi-18.patch
new file mode 100644
index 000000000000..1410f3a81dd7
--- /dev/null
+++ b/dev-python/python-language-server/files/pyls-jedi-18.patch
@@ -0,0 +1,68 @@
+From 40afab312a6bf0dcd620c82e59555ea2967aacdf Mon Sep 17 00:00:00 2001
+From: bnavigator <code@bnavigator.de>
+Date: Tue, 5 Jan 2021 01:17:33 +0100
+Subject: [PATCH 1/2] bump jedi compatibility: compare to Path-like object
+
+---
+ pyls/plugins/symbols.py | 2 +-
+ setup.py | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/pyls/plugins/symbols.py b/pyls/plugins/symbols.py
+index 6468dd83..69a09fe9 100644
+--- a/pyls/plugins/symbols.py
++++ b/pyls/plugins/symbols.py
+@@ -37,7 +37,7 @@ def pyls_document_symbols(config, document):
+ not sym_full_name.startswith('__main__')):
+ continue
+
+- if _include_def(d) and document.path == d.module_path:
++ if _include_def(d) and os.path.samefile(document.path, d.module_path):
+ tuple_range = _tuple_range(d)
+ if tuple_range in exclude:
+ continue
+diff --git a/setup.py b/setup.py
+index 12782990..99d2b312 100755
+--- a/setup.py
++++ b/setup.py
+@@ -10,7 +10,7 @@
+ 'configparser; python_version<"3.0"',
+ 'future>=0.14.0; python_version<"3"',
+ 'backports.functools_lru_cache; python_version<"3.2"',
+- 'jedi>=0.17.2,<0.18.0',
++ 'jedi>=0.17.2,<0.19.0',
+ 'python-jsonrpc-server>=0.4.0',
+ 'pluggy',
+ 'ujson<=2.0.3 ; platform_system!="Windows" and python_version<"3.0"',
+
+From e442467312fe967bff5f893b7e3f92da133182c8 Mon Sep 17 00:00:00 2001
+From: bnavigator <code@bnavigator.de>
+Date: Tue, 5 Jan 2021 01:37:25 +0100
+Subject: [PATCH 2/2] Curse you Python 2 on Windows: os.path.samefile not
+ implemented
+
+---
+ pyls/plugins/symbols.py | 10 ++++++++--
+ 1 file changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/pyls/plugins/symbols.py b/pyls/plugins/symbols.py
+index 69a09fe9..ef8e7fb8 100644
+--- a/pyls/plugins/symbols.py
++++ b/pyls/plugins/symbols.py
+@@ -36,8 +36,14 @@ def pyls_document_symbols(config, document):
+ if (not sym_full_name.startswith(module_name) and
+ not sym_full_name.startswith('__main__')):
+ continue
+-
+- if _include_def(d) and os.path.samefile(document.path, d.module_path):
++ try:
++ docismodule = os.path.samefile(document.path, d.module_path)
++ except AttributeError:
++ # Python 2 on Windows has no .samefile, but then these are
++ # strings for sure
++ docismodule = document.path == d.module_path
++
++ if _include_def(d) and docismodule:
+ tuple_range = _tuple_range(d)
+ if tuple_range in exclude:
+ continue
diff --git a/dev-python/python-language-server/files/pyls-numpy-1.20.patch b/dev-python/python-language-server/files/pyls-numpy-1.20.patch
new file mode 100644
index 000000000000..ab1c5032ff46
--- /dev/null
+++ b/dev-python/python-language-server/files/pyls-numpy-1.20.patch
@@ -0,0 +1,63 @@
+From 48f5eca25c2da064bcc9aa0fefb5de525bec618f Mon Sep 17 00:00:00 2001
+From: Ben Greiner <code@bnavigator.de>
+Date: Tue, 30 Mar 2021 20:20:08 +0200
+Subject: [PATCH 1/3] don't test np.sin hover for numpy 1.20
+
+---
+ test/plugins/test_hover.py | 10 +++++++---
+ 1 file changed, 7 insertions(+), 3 deletions(-)
+
+diff --git a/test/plugins/test_hover.py b/test/plugins/test_hover.py
+index 2302b865..f36bcb29 100644
+--- a/test/plugins/test_hover.py
++++ b/test/plugins/test_hover.py
+@@ -46,9 +46,13 @@ def test_numpy_hover(workspace):
+ contents = 'NumPy\n=====\n\nProvides\n'
+ assert contents in pyls_hover(doc, numpy_hov_position_3)['contents'][0]
+
+- contents = 'Trigonometric sine, element-wise.\n\n'
+- assert contents in pyls_hover(
+- doc, numpy_sin_hov_position)['contents'][0]
++ # https://github.com/davidhalter/jedi/issues/1746
++ import numpy as np
++
++ if np.lib.NumpyVersion(np.__version__) < '1.20.0':
++ contents = 'Trigonometric sine, element-wise.\n\n'
++ assert contents in pyls_hover(
++ doc, numpy_sin_hov_position)['contents'][0]
+
+
+ def test_hover(workspace):
+
+From 3ee06dac069e27edf6231651ae27bff78ae8aaff Mon Sep 17 00:00:00 2001
+From: Ben Greiner <code@bnavigator.de>
+Date: Tue, 30 Mar 2021 20:21:20 +0200
+Subject: [PATCH 2/3] test snippet support with builtin instead of numpy
+
+---
+ test/plugins/test_completion.py | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/test/plugins/test_completion.py b/test/plugins/test_completion.py
+index 247c2c23..91df89cb 100644
+--- a/test/plugins/test_completion.py
++++ b/test/plugins/test_completion.py
+@@ -216,14 +216,14 @@ def test_completion_with_class_objects(config, workspace):
+
+
+ def test_snippet_parsing(config, workspace):
+- doc = 'import numpy as np\nnp.logical_and'
+- completion_position = {'line': 1, 'character': 14}
++ doc = 'divmod'
++ completion_position = {'line': 0, 'character': 6}
+ doc = Document(DOC_URI, workspace, doc)
+ config.capabilities['textDocument'] = {
+ 'completion': {'completionItem': {'snippetSupport': True}}}
+ config.update({'plugins': {'jedi_completion': {'include_params': True}}})
+ completions = pyls_jedi_completions(config, doc, completion_position)
+- out = 'logical_and(${1:x1}, ${2:x2})$0'
++ out = 'divmod(${1:a}, ${2:b})$0'
+ assert completions[0]['insertText'] == out
+
+
+
diff --git a/dev-python/python-language-server/python-language-server-0.36.2-r1.ebuild b/dev-python/python-language-server/python-language-server-0.36.2-r1.ebuild
new file mode 100644
index 000000000000..1e2c2cfb40e7
--- /dev/null
+++ b/dev-python/python-language-server/python-language-server-0.36.2-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1 optfeature
+
+DESCRIPTION="An implementation of the Language Server Protocol for Python"
+HOMEPAGE="https://github.com/palantir/python-language-server"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/autopep8[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/flake8-3.8.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+ <dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+ dev-python/QtPy[gui,testlib,${PYTHON_USEDEP}]
+ >=dev-python/rope-0.10.5[${PYTHON_USEDEP}]
+ dev-python/yapf[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="
+ >=dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+ <dev-python/jedi-0.19.0[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ >=dev-python/python-jsonrpc-server-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/ujson-3[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/pyls-fix-test_folding.patch"
+ "${FILESDIR}/pyls-numpy-1.20.patch"
+ "${FILESDIR}/pyls-jedi-18.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dep
+ sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+ # allow the use of jedi-18
+ sed -i -e 's/jedi<0.18.0/jedi<0.19.0/g' python_language_server.egg-info/requires.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ optfeature "Automatically formats Python code to conform to the PEP 8 style guide" dev-python/autopep8
+ optfeature "A wrapper around PyFlakes, pep8 & mccabe" dev-python/flake8
+ optfeature "flake8 plugin: McCabe complexity checker" dev-python/mccabe
+ optfeature "Python style guide checker (fka pep8)" dev-python/pycodestyle
+ optfeature "Python docstring style checker" dev-python/pydocstyle
+ optfeature "Passive checker for Python programs" dev-python/pyflakes
+ optfeature "Python code static checker" dev-python/pylint
+ optfeature "Python refactoring library" dev-python/rope
+ optfeature "A formatter for Python files" dev-python/yapf
+}
diff --git a/dev-python/python-nbxmpp/python-nbxmpp-2.0.2-r1.ebuild b/dev-python/python-nbxmpp/python-nbxmpp-2.0.2-r1.ebuild
index 856334d18811..e1953a0013d6 100644
--- a/dev-python/python-nbxmpp/python-nbxmpp-2.0.2-r1.ebuild
+++ b/dev-python/python-nbxmpp/python-nbxmpp-2.0.2-r1.ebuild
@@ -15,7 +15,7 @@ S=${WORKDIR}/${MY_P}
SLOT="0"
LICENSE="GPL-3"
-KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86"
RDEPEND="
dev-libs/gobject-introspection
diff --git a/dev-python/scrapy/Manifest b/dev-python/scrapy/Manifest
index 12a5aa70c935..9569102b4c5b 100644
--- a/dev-python/scrapy/Manifest
+++ b/dev-python/scrapy/Manifest
@@ -1,2 +1,2 @@
-DIST scrapy-2.4.0.tar.gz 1246653 BLAKE2B a08d0c8c372ff21472c416bb10f31e79f5cd7d12262be3c50cc0eea4989bf3f0bc532908246b4f7fcada4285f8c865109c99d1f35be1bf929eb0e797d4bc5885 SHA512 0ee24ccae664fbe35c1f5b7589a8b24ea9bfad62315e2736a166a839769b5d953bab00f5b34a449a585a3632faee460f484b939a05b3f69a7466b914531ec21c
DIST scrapy-2.4.1.tar.gz 1248020 BLAKE2B de1827d0764adf834822236b094a9e998d8f55568ada578eedf4360125b747fc86accd20833a0a6f810e1219b9c7c0febf39c64a6d7c5023348f68319c559344 SHA512 639a281ff0f20c51ab4be20e1935a171d06c4ba4b4d4340023cc4ad583266b63ad93d8efeec8bf5ee65ddfb1a72092957c61b3444bc67da4049f6f8102a57d3c
+DIST scrapy-2.5.0.tar.gz 1275813 BLAKE2B b923a03bd567fad679fd256c971303b40611bec15024faf7539606ea1a31052678d741b2f0e2d7fb66c91c18c37a2c9737c1511e7dd97673a39da8a0f635cbfb SHA512 01a5ab605ba6783567147b7ca8c0dd963266aeb63e8eac19e962ee5d6dda85052c23a4d161ab69f130925b8a6f271ffbc28784a8f7fc0216428b5579eaad47b6
diff --git a/dev-python/scrapy/scrapy-2.4.0.ebuild b/dev-python/scrapy/scrapy-2.5.0.ebuild
index 39faf7b9d487..614510a3946c 100644
--- a/dev-python/scrapy/scrapy-2.4.0.ebuild
+++ b/dev-python/scrapy/scrapy-2.5.0.ebuild
@@ -10,7 +10,6 @@ DESCRIPTION="A high-level Web Crawling and Web Scraping framework"
HOMEPAGE="https://scrapy.org/"
SRC_URI="https://github.com/scrapy/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
KEYWORDS="~amd64 ~x86"
LICENSE="BSD-2"
SLOT="0"
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 07399d5cd585..5112c6e965d1 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,2 +1 @@
-DIST sentry-sdk-0.20.3.tar.gz 212130 BLAKE2B 48084039c493ca2903f56426913ea8f8f0480b759157270fe6ea4dfae72f9478d8566f8a86f6f863c06adb01379e980d5f873372f401a8d3f255f62f8a149b45 SHA512 0392fcf0e718f7d06200fa44fedf1aac46a2f61d11a8252ca339652d5385a377545128c1c4b9e31e1e1a8c8c9a8c57ded569b829312a748d84ad98696a897944
DIST sentry-sdk-1.0.0.tar.gz 213707 BLAKE2B 9fa3dfac7d82c9e2c81be6f4edafbc27ab19a2a96876885dabe72d2dbd6cf392b80e453c640affb94d84f35b227b12d56927bec88e01a0ebfdcf8a466470a909 SHA512 e91ede3e5e31c2acba7094bd5c6a95280aa8367b1fcd524fc9b100d2a3a253efec1ed3d9c72465f5b2ef5276c834906d622b84e1650b65d2032f4acaf2fd1ab8
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.20.3.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.20.3.ebuild
deleted file mode 100644
index 8e7658089548..000000000000
--- a/dev-python/sentry-sdk/sentry-sdk-0.20.3.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python client for Sentry"
-HOMEPAGE="https://sentry.io/ https://pypi.org/project/sentry-sdk/"
-SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/sentry-python-${PV}"
-
-LICENSE="PSF-2"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
-
-RDEPEND="
- dev-python/urllib3[${PYTHON_USEDEP}]
- dev-python/certifi[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/asttokens[${PYTHON_USEDEP}]
- dev-python/django[${PYTHON_USEDEP}]
- dev-python/executing[${PYTHON_USEDEP}]
- dev-python/eventlet[${PYTHON_USEDEP}]
- dev-python/fakeredis[${PYTHON_USEDEP}]
- dev-python/flask-login[${PYTHON_USEDEP}]
- dev-python/gevent[${PYTHON_USEDEP}]
- dev-python/jsonschema[${PYTHON_USEDEP}]
- dev-python/pyrsistent[${PYTHON_USEDEP}]
- dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
- dev-python/pytest-django[${PYTHON_USEDEP}]
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/pytest-localserver[${PYTHON_USEDEP}]
- dev-python/werkzeug[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- local deselect=(
- # tests require Internet access
- tests/integrations/stdlib/test_httplib.py
- tests/integrations/requests/test_requests.py
- # wtf is it supposed to do?!
- tests/integrations/gcp/test_gcp.py
- # hangs
- 'tests/test_transport.py::test_transport_works[eventlet'
- # TODO
- 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
- tests/test_client.py::test_databag_depth_stripping
- tests/test_client.py::test_databag_string_stripping
- tests/test_client.py::test_databag_breadth_stripping
- # test_circular_references: apparently fragile
- 'tests/integrations/threading/test_threading.py::test_circular_references'
- )
-
- # Prevent tests/integrations/modules/test_modules.py:test_basic failure
- # Needs to detect sentry-sdk in the installed modules
- distutils_install_for_testing
-
- pytest -vv ${deselect[@]/#/--deselect } || die "Tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild
index 3c6027d07c70..ac79916c8034 100644
--- a/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild
+++ b/dev-python/sentry-sdk/sentry-sdk-1.0.0.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/sentry-python-${PV}"
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="
dev-python/urllib3[${PYTHON_USEDEP}]
diff --git a/dev-python/towncrier/towncrier-21.3.0.ebuild b/dev-python/towncrier/towncrier-21.3.0.ebuild
index 982d17595914..021937d94fa1 100644
--- a/dev-python/towncrier/towncrier-21.3.0.ebuild
+++ b/dev-python/towncrier/towncrier-21.3.0.ebuild
@@ -26,6 +26,7 @@ RDEPEND="
BDEPEND="
test? (
dev-vcs/git
+ dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index e625809ca4dd..7ba0eeb396be 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
DIST xmlschema-1.5.3.tar.gz 350684 BLAKE2B 5dfcd2e00339caa834195729cce1604d17e5aa4705150649e22bebe3dc7b3ac6ace5dccbc7b6313c5cadb5ca29992853191afff2f76f05d18c10294131a904cf SHA512 3d86dc407d3181bf5c34b2d6aead9995eca1b7210b39ce3cb95c5655fa0cac0bbcc9f15c6ac016aca69a23f19befbe0525d6f13644b68fde348dcd0fd03bfa73
+DIST xmlschema-1.6.0.tar.gz 362175 BLAKE2B a9ff2807e3371ca81af3f0febf555c3fb5cea0b3623925e5b9c5f7b48df8e7c7118f3654930dd13b785ab1f1816d43df08316ddaeca2df983dc3f611ebacad10 SHA512 d72c85307b2b22bb59ed3331a1fbb8fd4ce58e69fed1762e37b89fba6c2f704753123ae34bb6155bc60d287461e426eff48b2b6a04899f067f0f235129320099
diff --git a/dev-python/xmlschema/xmlschema-1.6.0.ebuild b/dev-python/xmlschema/xmlschema-1.6.0.ebuild
new file mode 100644
index 000000000000..b8cec819f86a
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.6.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/elementpath-2.2.1[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}